Sign in to follow this  
Followers 0
BinaryBrother

Error: EndUpdateResource: Returncode = 0 - LastError:1359:An internal error occurred.rc:2

13 posts in this topic

#1 ·  Posted (edited)

I have a sizable project that has just began giving me compile errors, I've tried reverting changes, but I just can't figure it out. The project is a bit large and kinda important to me, as I've invested a lot of time into it and I'd rather not leak the source to the public forum.

Does the console output help in diagnosing the issue? I'll PM source to old standing members, as you guys could probably do it better than me anyway.

If I continue past the error, it compiles, but I think the manifest is gone as it doesn't run properly on Windows 7 with UAC enabled anymore, without having to right click and run as Admin.

My OS: Windows 7 x64

Here's a SS:  http://screencast.com/t/AO9n8X56
Here's my console...

>"C:\Program Files (x86)\AutoIt3\SciTE\AutoIt3Wrapper\AutoIt3Wrapper.exe" /ShowGui /in "C:\Users\Owner\Dropbox\!Projects\!AutoIt\!Active\TeamViewer_Manager\TVS.au3"
+>21:32:02 Starting AutoIt3Wrapper v.2.1.4.4 SciTE v.3.3.7.0 ;  Keyboard:00000409  OS:WIN_7/Service Pack 1  CPU:X64 OS:X64    Environment(Language:0409  Keyboard:00000409  OS:WIN_7/Service Pack 1  CPU:X64 OS:X64)
-> 1 Change(s) made.
>Running Tidy (2.4.0.0)  from:C:\Program Files (x86)\AutoIt3\SciTE\tidy
+>21:32:05 Tidy ended.rc:0
>Running AU3Check (3.3.10.2)  from:C:\Program Files (x86)\AutoIt3
+>21:32:05 AU3Check ended.rc:0
>Running:(3.3.10.2):C:\Program Files (x86)\AutoIt3\aut2exe\aut2exe.exe  /in "C:\Users\Owner\Dropbox\!Projects\!AutoIt\!Active\TeamViewer_Manager\TVS.au3" /out "C:\Users\Owner\AppData\Local\AutoIt v3\Aut2exe\~AU3ocydwft.exe" /nopack /icon "Resources\Teamviewer Black and Gold.ico" /comp 4
+>21:32:17 Aut2exe.exe ended.C:\Users\Owner\AppData\Local\AutoIt v3\Aut2exe\~AU3ocydwft.exe. rc:0
>21:32:17 Performing the Program Resource Update steps:
...>Updating Program Version information.
...>Setting Program ExecutionLevel Manifest information to requireAdministrator
...>Setting Program Compatibility Manifest information to Windows8.1
UpdateResources other: $result[0] = 0 - LastError:1359:An internal error occurred.
...>Updating Program Manifest information.
!>21:32:17 Error: EndUpdateResource: Returncode = 0 - LastError:1359:An internal error occurred.rc:2
!>21:32:17 Error: Program Resource updating Failed. The output program will not contain the Resource updates!rc:2
+>21:32:19 AutoIt3Wrapper Finished..
>Exit code: 0    Time: 17.044

My directives:

#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_Icon=Resources\Teamviewer Black and Gold.ico
#AutoIt3Wrapper_Compression=4
#AutoIt3Wrapper_UseUpx=y
#AutoIt3Wrapper_Res_Comment=Compile date: 1/16/14
#AutoIt3Wrapper_Res_Description=CTS Remote Support
#AutoIt3Wrapper_Res_Fileversion=2.0.0.17
#AutoIt3Wrapper_Res_Fileversion_AutoIncrement=p
#AutoIt3Wrapper_Res_Language=1033
#AutoIt3Wrapper_Res_requestedExecutionLevel=requireAdministrator
#AutoIt3Wrapper_Run_Tidy=y
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****
Edited by BinaryBrother

Share this post


Link to post
Share on other sites



I've got the same error today. Thanks for posting your solution BB  :-)

Share this post


Link to post
Share on other sites

Try using the current Beta AutoIt3Wrapper to see if that solves it: http://www.autoitscript.com/autoit3/scite/download/beta_SciTE4AutoIt3/

Jos

1 person likes this

Visit the SciTE4AutoIt3 Download page for the latest versions        Beta files                                                          Forum Rules
 
Live for the present,
Dream of the future,
Learn from the past.
  :)

Share this post


Link to post
Share on other sites

#5 ·  Posted (edited)

The issue is not apparent in that Beta, Jos.

The recent modifications seem to have resolved it. :huggles:

I had forgotten the source was in AutoIt or I would have tried to take a quick look. :geek:

Muchas gracias, for the fix, Jos. :thumbsup:

Edited by BinaryBrother

Share this post


Link to post
Share on other sites

#6 ·  Posted (edited)

The basic source of AutoIt3Wrapper hasn't changed for these functions, but it turned out to be the au3stripper (modified Obfuscator) that was a little to enthusiastic in stripping out a dim of an array. That is fixed in the current beta version of AutoIt3Wrapper made available in Beta.

Jos :)

Edited by Jos
1 person likes this

Visit the SciTE4AutoIt3 Download page for the latest versions        Beta files                                                          Forum Rules
 
Live for the present,
Dream of the future,
Learn from the past.
  :)

Share this post


Link to post
Share on other sites

#7 ·  Posted (edited)

The basic source of AutoIt3Wrapper hasn't changed for these functions, but it turned out to be the au3stripper (modified Obfuscator) that was a little to enthusiastic in stripping out a dim of an array. That is fixed in the current version of the installer and in the AutoIt3Wrapper made available in both Beta and Prod.

 

Jos :)

Hi,

using AutoIt3Wrapper dated 22.01.2014 (Fileversion 2.1.4.4) the error persists, if another language as the default English (GB) is used.

Have I downloaded a wrong version of AutoIt3Wrapper?

The code i tried:

#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_Icon=Kombi.ico
#AutoIt3Wrapper_Compile_Both=y
#AutoIt3Wrapper_UseX64=y
#AutoIt3Wrapper_Res_Comment=Here goes the comment
#AutoIt3Wrapper_Res_Description=Here goes the description
#AutoIt3Wrapper_Res_Fileversion=1.0.0.0
#AutoIt3Wrapper_Res_Fileversion_AutoIncrement=y
#AutoIt3Wrapper_Res_Language=1031
#AutoIt3Wrapper_Run_Obfuscator=y
#Obfuscator_Parameters=/striponly
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****

ConsoleWrite("I cannot be compiled" & @LF)
Edited by PaulBaumann

Share this post


Link to post
Share on other sites

using AutoIt3Wrapper dated 22.01.2014 (Fileversion 2.1.4.4) the error persists, if another language as the default English (GB) is used.

Have I downloaded a wrong version of AutoIt3Wrapper?

 

The basic source of AutoIt3Wrapper hasn't changed for these functions, but it turned out to be the au3stripper (modified Obfuscator) that was a little to enthusiastic in stripping out a dim of an array. That is fixed in the current version of the installer and in the AutoIt3Wrapper made available in both Beta and Prod.

Jos :)

 

Have you tried the posted solution and just reinstall the installer or simply replace AutoIt3Wrapper?

Jos


Visit the SciTE4AutoIt3 Download page for the latest versions        Beta files                                                          Forum Rules
 
Live for the present,
Dream of the future,
Learn from the past.
  :)

Share this post


Link to post
Share on other sites

#9 ·  Posted (edited)

Have you tried the posted solution and just reinstall the installer or simply replace AutoIt3Wrapper?

Jos

 

I tried both. First i replaced AutoIt3Wrapper. Because the error persists, I decided to reinstall AutoIt3 and Scitefor Autoit3. But the error persists.

For testing purpose I installed autoIt3 in a vm there it worked. BUT this was a Win32 machine. So I could figure out this:

Using not the default language and

- working in a x32 environment everything works fine.

- working in a x64 environment and using    #AutoIt3Wrapper_UseX64=y  the resource update failed.

- working in a x64 environment and omitting    #AutoIt3Wrapper_UseX64  the resource works fine.

Hope this helps.

Paul

Edited by PaulBaumann

Share this post


Link to post
Share on other sites

#10 ·  Posted (edited)

... and you are running AutoIt3Wrapper v 2.1.4.5 now right?

Jos

Edited by Jos

Visit the SciTE4AutoIt3 Download page for the latest versions        Beta files                                                          Forum Rules
 
Live for the present,
Dream of the future,
Learn from the past.
  :)

Share this post


Link to post
Share on other sites

#12 ·  Posted (edited)

Try using the current Beta AutoIt3Wrapper to see if that solves it: http://www.autoitscript.com/autoit3/scite/download/beta_SciTE4AutoIt3/

Jos

That is why I said to test with this version to see if that will fix it. ;)

I will be posting a new version of SciTE4AutoIt3 soon with many updates so this will also be fixed in the installer and ZIP file.

Sorry for the inconvenience,

Jos

Edited by Jos

Visit the SciTE4AutoIt3 Download page for the latest versions        Beta files                                                          Forum Rules
 
Live for the present,
Dream of the future,
Learn from the past.
  :)

Share this post


Link to post
Share on other sites

#13 ·  Posted (edited)

That is why I said to test with this version to see if that will fix it. ;)

 

Upps, didn't read that. Sorry!

With this version the error is gone.

Best wishes

Paul

Edited by PaulBaumann

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now
Sign in to follow this  
Followers 0